summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/nvidia/nvidia.install
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:50:53 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:50:53 (GMT)
commitae3f733cc2892de5f5b747340962c652d8c43fe9 (patch)
tree2ba2accc591834f2589a518b80f6d680e1f7d029 /abs/core-testing/nvidia/nvidia.install
parenta8d1b366d0b6f8f8a8876d010a7768e45580be74 (diff)
downloadlinhes_pkgbuild-ae3f733cc2892de5f5b747340962c652d8c43fe9.zip
linhes_pkgbuild-ae3f733cc2892de5f5b747340962c652d8c43fe9.tar.gz
linhes_pkgbuild-ae3f733cc2892de5f5b747340962c652d8c43fe9.tar.bz2
nvidia:Bumped/Updated 173xx,96xx and latest for LinHES 7.
Diffstat (limited to 'abs/core-testing/nvidia/nvidia.install')
-rw-r--r--abs/core-testing/nvidia/nvidia.install20
1 files changed, 6 insertions, 14 deletions
diff --git a/abs/core-testing/nvidia/nvidia.install b/abs/core-testing/nvidia/nvidia.install
index 23e04af..a7e09f9 100644
--- a/abs/core-testing/nvidia/nvidia.install
+++ b/abs/core-testing/nvidia/nvidia.install
@@ -1,22 +1,14 @@
-# arg 1: the new package version
post_install() {
- KERNEL_VERSION='2.6.28-LinHES'
- depmod -v $KERNEL_VERSION > /dev/null 2>&1
+ KERNEL_VERSION='2.6.34-LinHES'
+ depmod $KERNEL_VERSION
}
-# arg 1: the new package version
-# arg 2: the old package version
post_upgrade() {
- post_install $1
- rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+ post_install
+ rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
}
-# arg 1: the old package version
post_remove() {
- KERNEL_VERSION='2.6.28-LinHES'
- depmod -v $KERNEL_VERSION > /dev/null 2>&1
+ KERNEL_VERSION='2.6.34-LinHES'
+ depmod $KERNEL_VERSION
}
-
-op=$1
-shift
-$op $*